The Popup Information preferences don't have any effect in the default GTK UI
Status: Closed Start date: January 09, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 3.3   

Affects version: 3.2-beta1   

Description

In the latest releases Audacious started coming by default with the GTK user interface enabled.

As a consequence of this, some controls in the Playlist preferences (the 'Show popup information for playlist entries' and the

Miscellaneous section in the 'Popup Information Settings' dialog box) don't have any meaning anymore, unless the Winamp Classic

Interface is selected instead of the default one.

One possible solution is to specify 'in the Classical Interface' (or similar) in these controls labels, to make clear that they only have

effect in the Winamp Classic Interface.

Another solution, a better one imo, is to move the 'Cover image retrieve' preferences away from the Popup Information Settings

dialog box into a more appropriate location (like a new dialog box in the 'Metadata' section) and just rename the 'Popup Information'

section as 'Classic Interface' or similar (see attached mockup).

History

#1 - January 09, 2012 22:31 - John Lindgren

The information popup is implemented in libaudgui, so there's really no reason it couldn't be enabled in GTKUI also; it just hasn't been done yet.

#2 - January 09, 2012 22:34 - Jacopo Lorenzetti

John Lindgren wrote:

The information popup is implemented in libaudgui, so there's really no reason it couldn't be enabled in GTKUI also; it just hasn't been done yet.

 

That would be a solution too.

#3 - January 10, 2012 17:46 - Michał Lipski

- Status changed from New to Closed

- Target version set to 3.3

https://github.com/audacious-media-player/audacious-plugins/commit/afa3866ca21d98c63048727838c57252be52b8cb
